KySdkProcess(3)

NAME
KySdkProcess - D-Bus signal class for generating instantaneous detailed process information. Mainly used to generate CPU usage of a process, get memory usage rate of a process, get process status, get port number occupied by a process, get process start time, get process running time, get CPU time of a process, get process Command, get process owner, get process information, and get D-Bus signals for all process information.

SYNOPSIS

#include <kysdkdbus.h>

Inherits QObject.

  Public Slots

double getProcInfoCpuUsage (int pid) const
Get CPU usage of a process
double getProcInfoMemUsage (int pid) const
Get memory usage rate of a process
QString getProcInfoStatus (int pid) const
Get process status
int getProcInfoPort (int pid) const
Get port number occupied by a process
QString getProcInfoStartTime (int pid) const
Get process start time
QString getProcInfoRunningTime (int pid) const
Get process running time
QString getProcInfoCpuTime (int pid) const
Get CPU time of a process
QString getProcInfoCmd (int pid) const
Get process Command
QString getProcInfoUser (int pid) const
Get process owner
QStringList getProcInfo (const QString procName) const
Get process information
QStringList getAllProcInfo () const
Get all process information

Detailed Description

D-Bus signal class for generating instantaneous detailed process information. Mainly used to generate CPU usage of a process, get memory usage rate of a process, get process status, get port number occupied by a process, get process start time, get process running time, get CPU time of a process, get process Command, get process owner, get process information, and get D-Bus signals for all process information.

Public Slots

  QStringList KySdkProcess::getAllProcInfo () const [slot]

Get all process information

Returns
    QStringList List of all processes' CPU usage, memory usage rate, status, port number occupation, start time, running time, CPU time, Command, and owner information

  QStringList KySdkProcess::getProcInfo (const QString procName) const [slot]

Get information of a specific process

Parameters
    procName Process name

Returns
    QStringList List of process information including CPU usage, memory usage rate, status, port number occupation, start time, running time, CPU time, Command, and owner information

  QString KySdkProcess::getProcInfoCmd (int pid) const [slot]

Get Command of a process

Parameters
    pid Process ID

Returns
    QString Process Command

  QString KySdkProcess::getProcInfoCpuTime (int pid) const [slot]

Get CPU time of a process

Parameters
    pid Process ID

Returns
    QString Process CPU time

  double KySdkProcess::getProcInfoCpuUsage (int pid) const [slot]

Get CPU usage of a process

Parameters
    pid Process ID

Returns
    double Process CPU usage

  double KySdkProcess::getProcInfoMemUsage (int pid) const [slot]

Get memory usage rate of a process

Parameters
    pid Process ID

Returns
    double Process memory usage rate

  int KySdkProcess::getProcInfoPort (int pid) const [slot]

Get port number occupied by a process

Parameters
    pid Process ID

Returns
    int Port number used by the process

  QString KySdkProcess::getProcInfoRunningTime (int pid) const [slot]

Get running time of a process

Parameters
    pid Process ID

Returns
    QString Process running time

  QString KySdkProcess::getProcInfoStartTime (int pid) const [slot]

Get start time of a process

Parameters
    pid Process ID

Returns
    QString Process start time

  QString KySdkProcess::getProcInfoStatus (int pid) const [slot]

Get process status

Parameters
    pid Process ID

Returns
    QString Process status

  QString KySdkProcess::getProcInfoUser (int pid) const [slot]

Get owner of a process

Parameters
    pid Process ID

Returns
    QString Process owner

Author

Generated automatically by Doxygen for kysdkdbus.h from the source code.